Bug 1653420

Summary: DELETE_PLEASE
Product: Red Hat Enterprise Linux 8 Reporter: bugzilla
Component: authselectAssignee: Packaging Maintenance Team <packaging-team-maint>
Status: CLOSED NOTABUG QA Contact: BaseOS QE Security Team <qe-baseos-security>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 8.0CC: james.antill, pmatilai
Target Milestone: rc   
Target Release: 8.0   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2018-12-03 08:41:20 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description bugzilla 2018-11-26 19:44:40 UTC
Description of problem:

Using dnf reinstall or yum reinstall does not restore any deleted config files.

Version-Release number of selected component (if applicable):

dnf-4.0.4-1.el8.noarch

How reproducible:

100%

Steps to Reproduce:
1. mv /etc/rsyncd.conf /etc/rsyncd.conf.bak
2. yum reinstall rsync
3. ls /etc/rsyncd.conf

Actual results:

File not found

Expected results:

Original rsyncd.conf restored.

Additional info:

Also tried with authselect - I can remove the whole /etc/authselect directory and reinstall it and it doesn't restore the default config, but it does at least restore the /usr/bin/authselect binary if you delete that too.

RHEL 7.6 with yum-3.4.3-161.0.1.el7 works as expected.

Comment 1 Panu Matilainen 2018-11-27 09:38:12 UTC
That's because you're reinstalling the wrong package, /etc/rsyncd.conf comes from rsync-daemon not rsync.

Comment 2 bugzilla 2018-11-27 12:56:24 UTC
(In reply to Panu Matilainen from comment #1)
> That's because you're reinstalling the wrong package, /etc/rsyncd.conf comes
> from rsync-daemon not rsync.

ok that seems to work, but authselect doesn't so looks like an authselect packaging bug?

cd /etc
mv authselect/ authselect.bak
dnf reinstall authselect
ls /etc/authselect
ls: cannot access '/etc/authselect': No such file or directory

Comment 3 Panu Matilainen 2018-11-27 12:58:45 UTC
On Fedora at least,

$ rpm -qf /etc/authselect
authselect-libs-1.0.1-2.fc29.x86_64

Comment 4 bugzilla 2018-11-27 13:43:26 UTC
seems you're right, i'm sure i already ran that, must have been cross-eyed!

[root@vbrhel8 ~]# dnf whatprovides /etc/authselect
....
authselect-libs-1.0-5.el8.x86_64 : Utility library used by the authselect tool

Comment 5 bugzilla 2018-11-29 15:27:22 UTC
please close this, i can't change the status for some reason

Comment 6 Panu Matilainen 2018-12-03 08:41:20 UTC
As per above, closing again.